<template>
  <div id="app">
    <el-menu
      :default-active="activeLink"
      class="el-menu-demo"
      mode="horizontal"
      router
    >
      <el-menu-item index="/" :class="{ 'is-active2': activeLink === '/' }">
        Home
      </el-menu-item>
      <el-menu-item style="float:right">
        <div class="chip">
          <img src="https://www.w3schools.com/howto/img_avatar.png" alt="Person" width="96" height="96">
          {{$store.state.userName}}
        </div>
      </el-menu-item>
    </el-menu>
      <router-view />
  </div>
</template>
<script>

export default {
  data() {
    return {
      activeLink: "/",
      loading: true
    };
  },
  watch: {
    $route(to) {
      this.activeLink = to.path;
    },
  },
  methods: {
    logout() {
      this.$store.commit("LOGOUT");
      this.$router.push("/");
    },
  },
};
</script>

<style>
#app {
  font-family: "Avenir", Helvetica, Arial, sans-serif;
}

.align_center {
	display: flex;
	justify-content: center;
	padding: 20px;
  color: #009879;
  font-weight: bold;
}

.el-table th{
   background-color: #009879 !important;
     color: #ffffff;
     font-weight: bold !important;
}
.chip {
  display: inline-block;
  padding: 0 25px;
  height: 40px;
  font-size: 14px;
  line-height: 40px;
  border-radius: 25px;
  background-color: #f1f1f1;
}

.chip img {
  float: left;
  margin: 0 10px 0 -25px;
  height: 40px;
  width: 40px;
  border-radius: 50%;
}
</style>
